/*------------------------------------*\
    #MENU-FOOTER
\*------------------------------------*/
/**
 * Footer navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}language-switch,
%#{$inuit-namespace}language-switch {
    float: left;
    padding: 0;
    position: relative;
    text-transform: uppercase;
    z-index: 10;

    @media #{$small-up} {
        margin: 0 0 0 5px
    }

    @media #{$medium} {
        margin: 0 0 0 10px
    }

    &__item {
        display: inline;
        float: left;
        list-style: none;
    }

    &__link {
        display: block;
        height: $frs-base-unit-small;
        line-height: $frs-base-unit-small;
        padding: .2rem .5rem .3rem;

        &--active {
            color: $frs-color-black;
        }

        @media #{$large-up} {
            height: $frs-base-unit;
            line-height: $frs-base-unit;
        }
    }
}
@if $theme == "reloaded" {
    .language-icon {
        float:left;
        margin: 12px 0.2rem 0 1.5rem;
    }
    .#{$inuit-namespace}language-switch,
    %#{$inuit-namespace}language-switch {
        text-transform: none;
        @media #{$small-up} {
            margin: 0
        }

        @media #{$medium} {
            margin: 0
        }
        span {
            color: $frs-color-grey;
        }
        a {
            color: $frs-color-grey;
            text-decoration: underline;
            @include frs-hover {
                color: $frs-color-blue;
                text-decoration:underline;
            }
        }
        &__link {
            &:first-child {
                padding: .2rem .5rem .3rem .3rem;
            }
            @media #{$large-up} {
                height: 2.5rem;
                line-height: 2.5rem;
            }
        }
    }

    //.#{$inuit-namespace}language-switch-select,
    //%#{$inuit-namespace}language-switch-select {
    //    border-radius: 2px;
    //    box-sizing: border-box;
    //    cursor: pointer;
    //    font-family: 'Helvetica Neue', Helvetica, sans-serif;
    //    font-size: 2em;
    //    margin: 0;
    //    padding: 0;
    //    li {
    //        border-radius: 3px;
    //        display: none;
    //        padding: 0.5em;
    //        &.active {
    //            align-items: center;
    //            border: 1px solid #111;
    //            border-radius: 3px;
    //            box-shadow: 0 0 2px #aaa;
    //            color: #111;
    //            display: flex;
    //            justify-content: space-between;
    //        }
    //    }
    //    &.active {
    //        border: 1px solid #aaa;
    //        li {
    //            border: none;
    //            box-shadow: none;
    //            display: block;
    //            &:hover {
    //                background: $frs-color-btn;
    //            }
    //            &.active {
    //                background: lighten($frs-color-btn-hover, 20%);
    //                &:hover {
    //                    background: $frs-color-btn;
    //                }
    //            }
    //        }
    //    }
    //}
    //##{$inuit-namespace}language-switch--select,
    //%#{$inuit-namespace}language-switch--select {
    //    align-items: center;
    //    box-sizing: border-box;
    //    color: #111;
    //    display: flex;
    //    font-family: 'Helvetica Neue', Helvetica, sans-serif;
    //    justify-content: space-between;
    //    font-size: 2em;
    //    width: auto;
    //    &.active {
    //        border: 1px solid #111;
    //        border-radius: 3px;
    //        box-shadow: 0 0 2px #aaa;
    //        padding: 0.5em;
    //    }
    //}
}
.switch-button {
    position:absolute;
    top:-2.5rem;
    display:inline-block;
    position:relative;
    height:5rem;
    width:5rem;
    margin:0 auto 0 auto;
    background-color:#f2f2f2;
    border-radius:5rem 5rem 0 0;
    -moz-border-radius:5rem 5rem 0 0;
    -webkit-border-radius:5rem 5rem 0 0;
    border-top:2px solid #9e9e9e;
    text-decoration:none;
    outline:0;
}
.switch-button:focus {
    outline:0;
}
.switch-button.active:before {
    font-family:"FontAwesome";
    content:'\f107';
    font-size:2rem;
    line-height:3rem;
}
.switch-button:before {
    font-family:"FontAwesome";
    content:'\f106';
    font-size:2rem;
    line-height:3rem;
}
/* Map Styling for site 2347 */
.c-page-body .switch-button {
    position:absolute;
    top:-2.5rem;
    display:inline-block;
    position:relative;
    height:5rem;
    width:5rem;
    margin:0 auto 0 auto;
    background-color:#f2f2f2;
    border-radius:5rem 5rem 0 0;
    -moz-border-radius:5rem 5rem 0 0;
    -webkit-border-radius:5rem 5rem 0 0;
    border-top:2px solid #9e9e9e;
    text-decoration:none;
    outline:0;
}
.c-page-body .switch-button:focus {
    outline:0;
}
.c-page-body .switch-button.active:before {
    font-family:"FontAwesome";
    content:'\f107';
    font-size:2rem;
    line-height:3rem;
}
.c-page-body .switch-button:before {
    font-family:"FontAwesome";
    content:'\f106';
    font-size:2rem;
    line-height:3rem;
}
